define(function() {var keywords=[{w:"Introduction",p:["p0","p1"]},{w:"to",p:["p0","p86","p166","p169"]},{w:"Cassandra",p:["p0"]},{w:"Query",p:["p0","p97"]},{w:"Language",p:["p0"]},{w:"Blob",p:["p2"]},{w:"type",p:["p2","p3","p4","p9","p21","p32","p40","p71","p73","p87","p92","p113","p131","p135","p136","p160"]},{w:"Collection",p:["p3","p86","p121"]},{w:"Counter",p:["p4","p103","p104"]},{w:"ALTER",p:["p5","p6","p7","p8","p9","p10"]},{w:"KEYSPACE",p:["p5","p16","p27","p106","p115","p118","p132"]},{w:"MATERIALIZED",p:["p6","p17","p28","p77","p79","p80","p83","p89","p107","p116","p138"]},{w:"VIEW",p:["p6","p17","p28","p89","p107","p116"]},{w:"ROLE",p:["p7","p18","p29"]},{w:"TABLE",p:["p8","p19","p30","p86","p88","p90","p91","p97","p99","p104","p108","p109","p110","p115","p124","p129","p130","p145","p147","p158"]},{w:"USER",p:["p10","p22","p33","p150"]},{w:"BATCH",p:["p11","p94","p95"]},{w:"CQL",p:["p12","p39","p41","p47","p49","p53","p68","p70","p84","p97","p173"]},{w:"commands",p:["p12","p53"]},{w:"CREATE",p:["p13","p14","p15","p16","p17","p18","p19","p20","p21","p22","p99"]},{w:"AGGREGATE",p:["p13","p24","p111","p146","p151"]},{w:"FUNCTION",p:["p14","p25","p111","p112","p117","p152","p163"]},{w:"INDEX",p:["p15","p26","p155","p169"]},{w:"TRIGGER",p:["p20","p31"]},{w:"(Deprecated)",p:["p22","p33","p38"]},{w:"DELETE",p:["p23"]},{w:"DROP",p:["p24","p25","p26","p27","p28","p29","p30","p31","p32","p33"]},{w:"GRANT",p:["p34"]},{w:"INSERT",p:["p35"]},{w:"LIST",p:["p36","p37","p38","p126","p135"]},{w:"PERMISSIONS",p:["p36","p156"]},{w:"ROLES",p:["p37","p157"]},{w:"USERS",p:["p38","p159"]},{w:"code",p:["p39"]},{w:"comments",p:["p39"]},{w:"User-defined",p:["p40","p92","p111","p112","p113","p117","p131","p151","p152"]},{w:"reference",p:["p41"]},{w:"REVOKE",p:["p42"]},{w:"SELECT",p:["p43"]},{w:"TRUNCATE",p:["p44"]},{w:"UPDATE",p:["p45"]},{w:"USE",p:["p46","p95","p169"]},{w:"data",p:["p47","p85","p87","p96","p119","p120","p122","p123","p124","p126","p127","p128","p129","p130","p131","p153","p171","p172","p173"]},{w:"types",p:["p47","p75","p85","p150"]},{w:"Functions",p:["p48","p72","p105","p146","p151"]},{w:"lexical",p:["p49"]},{w:"structure",p:["p49"]},{w:"Starting",p:["p50","p82"]},{w:"cqlsh",p:["p50","p65","p82"]},{w:"CAPTURE",p:["p51"]},{w:"CLEAR",p:["p52"]},{w:"shell",p:["p53"]},{w:"CONSISTENCY",p:["p54","p61","p164","p165","p166","p167"]},{w:"COPY",p:["p55","p122"]},{w:"DESCRIBE",p:["p56"]},{w:"EXIT",p:["p57"]},{w:"cqlshExpand",p:["p58"]},{w:"LOGIN",p:["p59"]},{w:"PAGING",p:["p60"]},{w:"SERIAL",p:["p61"]},{w:"SHOW",p:["p62"]},{w:"SOURCE",p:["p63"]},{w:"TRACING",p:["p64","p164"]},{w:"Configuring",p:["p65"]},{w:"from",p:["p65","p78","p163"]},{w:"a",p:["p65","p81","p86","p87","p88","p89","p91","p92","p97","p101","p103","p104","p106","p107","p108","p110","p113","p115","p116","p117","p118","p121","p122","p124","p126","p127","p128","p129","p130","p131","p145","p147","p152","p153","p154","p155","p158","p162","p170"]},{w:"file",p:["p65","p122"]},{w:"Escaping",p:["p66"]},{w:"characters",p:["p66","p69"]},{w:"Exponential",p:["p67"]},{w:"notation",p:["p67"]},{w:"Keywords",p:["p68"]},{w:"Valid",p:["p69","p76"]},{w:"in",p:["p69","p85","p88","p143"]},{w:"names",p:["p69"]},{w:"limits",p:["p70"]},{w:"Timestamp",p:["p71"]},{w:"UUID",p:["p72","p75"]},{w:"and",p:["p72","p74","p75","p82","p93","p96","p106","p114","p122","p123","p126","p127","p128","p141","p148","p150"]},{w:"timeuuid",p:["p72","p75"]},{w:"Tuple",p:["p73","p110","p130"]},{w:"Uppercase",p:["p74"]},{w:"lowercase",p:["p74"]},{w:"literals",p:["p76"]},{w:"Best",p:["p77"]},{w:"practices",p:["p77"]},{w:"for",p:["p77","p162"]},{w:"views",p:["p77","p79","p80","p83","p138"]},{w:"Migrating",p:["p78"]},{w:"compact",p:["p78","p99"]},{w:"storage",p:["p78","p99"]},{w:"Frequently",p:["p79"]},{w:"asked",p:["p79"]},{w:"questions",p:["p79"]},{w:"about",p:["p79"]},{w:"Known",p:["p80"]},{w:"limitations",p:["p80"]},{w:"of",p:["p80","p87","p94","p95","p118","p170"]},{w:"Sharing",p:["p81"]},{w:"static",p:["p81"]},{w:"column",p:["p81","p87","p148","p162"]},{w:"on",p:["p82"]},{w:"Linux",p:["p82"]},{w:"Mac",p:["p82"]},{w:"OS",p:["p82"]},{w:"X",p:["p82"]},{w:"Understanding",p:["p83"]},{w:"Using",p:["p84","p97","p101","p103","p122","p125","p132","p137","p138","p140","p143","p144","p146","p151","p152","p155"]},{w:"Creating",p:["p85","p98","p104","p105","p106","p107","p108","p110","p111","p112","p113","p118","p135","p136","p160"]},{w:"advanced",p:["p85"]},{w:"tables",p:["p85","p133","p142"]},{w:"Altering",p:["p86","p87","p88","p89","p90","p91","p92"]},{w:"add",p:["p86"]},{w:"the",p:["p87","p90","p132","p135","p136","p143","p160","p163","p168","p170"]},{w:"columns",p:["p88","p114"]},{w:"properties",p:["p90"]},{w:"Batching",p:["p93","p96"]},{w:"inserts,",p:["p93"]},{w:"updates",p:["p93","p96"]},{w:"deletes",p:["p93"]},{w:"Misuse",p:["p94"]},{w:"statement",p:["p94","p95"]},{w:"Good",p:["p95"]},{w:"insertion",p:["p96"]},{w:"legacy",p:["p97","p133","p134","p145"]},{w:"collections",p:["p98","p140"]},{w:"with",p:["p99","p110","p119","p120","p134","p163"]},{w:"Composite",p:["p100"]},{w:"Partition",p:["p100","p154"]},{w:"Key",p:["p100","p101","p102","p161"]},{w:"compound",p:["p101","p102"]},{w:"primary",p:["p101","p102","p161"]},{w:"updating",p:["p106","p123","p126","p127","p128","p131","p168"]},{w:"schema",p:["p109"]},{w:"collision",p:["p109"]},{w:"fix",p:["p109"]},{w:"(UDA)",p:["p111","p151"]},{w:"(UDF)",p:["p112","p117","p152"]},{w:"(UDT)",p:["p113","p131"]},{w:"Deleting",p:["p114"]},{w:"rows",p:["p114","p163"]},{w:"Dropping",p:["p115","p116","p117"]},{w:"or",p:["p115","p131","p153"]},{w:"Example",p:["p118","p120"]},{w:"Expiring",p:["p119","p120"]},{w:"time-to-live",p:["p119","p162"]},{w:"TTL",p:["p120"]},{w:"Indexing",p:["p121","p139"]},{w:"Inserting",p:["p122","p123","p124","p126","p127","p128","p129","p130","p131"]},{w:"CSV",p:["p122"]},{w:"JSON",p:["p124","p144"]},{w:"into",p:["p124","p126","p127","p128","p129","p130","p131"]},{w:"lightweight",p:["p125"]},{w:"transactions",p:["p125"]},{w:"map",p:["p127","p136"]},{w:"set",p:["p128","p160"]},{w:"simple",p:["p129","p161"]},{w:"qualifier",p:["p132"]},{w:"Working",p:["p134"]},{w:"applications",p:["p134"]},{w:"multiple",p:["p137"]},{w:"indexes",p:["p137"]},{w:"Retrieval",p:["p140","p141","p143","p144","p146","p151","p152","p154"]},{w:"sorting",p:["p141"]},{w:"results",p:["p141"]},{w:"Querying",p:["p142","p145","p147"]},{w:"keyword",p:["p143"]},{w:"standard",p:["p146"]},{w:"system",p:["p147"]},{w:"Keyspace,",p:["p148","p153"]},{w:"table,",p:["p148"]},{w:"information",p:["p148","p149"]},{w:"Cluster",p:["p149"]},{w:"Functions,",p:["p150"]},{w:"aggregates,",p:["p150"]},{w:"Removing",p:["p153"]},{w:"schema,",p:["p153"]},{w:"by",p:["p154"]},{w:"scanning",p:["p154"]},{w:"secondary",p:["p155"]},{w:"Database",p:["p156","p157","p159"]},{w:"Securing",p:["p158"]},{w:"Determining",p:["p162","p170"]},{w:"(TTL)",p:["p162"]},{w:"Displaying",p:["p163"]},{w:"an",p:["p163","p169"]},{w:"unordered",p:["p163"]},{w:"partitioner",p:["p163"]},{w:"TOKEN",p:["p163"]},{w:"changes",p:["p164","p166"]},{w:"How",p:["p165"]},{w:"affects",p:["p165"]},{w:"performance",p:["p165"]},{w:"Setup",p:["p166"]},{w:"trace",p:["p166","p167"]},{w:"reads",p:["p167"]},{w:"at",p:["p167"]},{w:"different",p:["p167"]},{w:"levels",p:["p167"]},{w:"replication",p:["p168"]},{w:"factor",p:["p168"]},{w:"When",p:["p169"]},{w:"date/time",p:["p170"]},{w:"write",p:["p170"]},{w:"modeling",p:["p171","p172","p173"]},{w:"analysis",p:["p171"]},{w:"concepts",p:["p172"]}];
var ph={};
ph["p160"]=[108, 113, 155, 6];
ph["p50"]=[47, 48];
ph["p52"]=[50];
ph["p164"]=[62, 52, 189];
ph["p51"]=[49];
ph["p163"]=[184, 140, 64, 185, 186, 187, 126, 113, 188, 21];
ph["p54"]=[52];
ph["p162"]=[182, 145, 183, 86, 65, 100];
ph["p53"]=[17, 51, 18];
ph["p161"]=[156, 131, 129];
ph["p56"]=[54];
ph["p157"]=[180, 31];
ph["p55"]=[53];
ph["p156"]=[180, 30];
ph["p58"]=[56];
ph["p155"]=[107, 65, 179, 22];
ph["p57"]=[55];
ph["p154"]=[162, 177, 178, 65, 128];
ph["p59"]=[57];
ph["p159"]=[180, 32];
ph["p158"]=[181, 65, 14];
ph["p61"]=[59, 52];
ph["p60"]=[58];
ph["p63"]=[61];
ph["p153"]=[175, 65, 169, 176, 142, 42];
ph["p62"]=[60];
ph["p152"]=[162, 107, 65, 35, 21, 137];
ph["p65"]=[63, 48, 64, 65, 66];
ph["p151"]=[162, 107, 35, 20, 136, 44];
ph["p64"]=[62];
ph["p150"]=[173, 174, 78, 15, 43];
ph["p67"]=[69, 70];
ph["p146"]=[162, 107, 167, 20, 44];
ph["p66"]=[67, 68];
ph["p145"]=[165, 65, 124, 14];
ph["p69"]=[72, 68, 73, 74];
ph["p144"]=[162, 107, 150];
ph["p68"]=[17, 71];
ph["p143"]=[162, 107, 113, 73, 166];
ph["p149"]=[172, 171];
ph["p148"]=[169, 170, 78, 100, 171];
ph["p147"]=[165, 65, 168, 14];
ph["p70"]=[17, 75];
ph["p72"]=[77, 78, 79, 44];
ph["p71"]=[76, 6];
ph["p74"]=[81, 78, 82];
ph["p73"]=[80, 6];
ph["p76"]=[72, 83];
ph["p75"]=[77, 78, 79, 43];
ph["p78"]=[88, 64, 89, 90];
ph["p77"]=[84, 85, 86, 11, 87];
ph["p79"]=[91, 92, 93, 94, 11, 87];
ph["p81"]=[98, 65, 99, 100];
ph["p171"]=[42, 204, 205];
ph["p80"]=[95, 96, 97, 11, 87];
ph["p170"]=[182, 113, 202, 97, 65, 203];
ph["p83"]=[106, 11, 87];
ph["p82"]=[47, 48, 101, 102, 78, 103, 104, 105];
ph["p85"]=[108, 109, 42, 43, 73, 110];
ph["p84"]=[107, 17];
ph["p87"]=[111, 113, 42, 6, 97, 65, 100];
ph["p173"]=[17, 42, 204];
ph["p86"]=[111, 65, 14, 1, 112, 65, 7];
ph["p172"]=[42, 204, 206];
ph["p89"]=[111, 65, 11, 12];
ph["p168"]=[132, 113, 199, 200];
ph["p88"]=[111, 114, 73, 65, 14];
ph["p167"]=[194, 195, 196, 197, 52, 198];
ph["p166"]=[193, 1, 194, 52, 189];
ph["p165"]=[190, 52, 191, 192];
ph["p169"]=[201, 1, 41, 185, 22];
ph["p90"]=[111, 113, 14, 115];
ph["p92"]=[111, 65, 35, 6];
ph["p91"]=[111, 65, 14];
ph["p94"]=[120, 97, 16, 121];
ph["p93"]=[116, 117, 118, 78, 119];
ph["p96"]=[116, 42, 123, 78, 118];
ph["p120"]=[144, 42, 126, 146, 143];
ph["p95"]=[122, 41, 97, 16, 121];
ph["p10"]=[9, 15];
ph["p98"]=[108, 125];
ph["p97"]=[107, 65, 17, 124, 14, 3];
ph["p12"]=[17, 18];
ph["p113"]=[108, 65, 35, 6, 138];
ph["p11"]=[16];
ph["p99"]=[19, 14, 126, 89, 90];
ph["p112"]=[108, 35, 21, 137];
ph["p14"]=[19, 21];
ph["p111"]=[108, 35, 20, 21, 136];
ph["p13"]=[19, 20];
ph["p110"]=[108, 65, 14, 126, 65, 80];
ph["p16"]=[19, 10];
ph["p117"]=[141, 65, 35, 21, 137];
ph["p15"]=[19, 22];
ph["p116"]=[141, 65, 11, 12];
ph["p18"]=[19, 13];
ph["p115"]=[141, 65, 10, 142, 14];
ph["p17"]=[19, 11, 12];
ph["p114"]=[139, 114, 78, 140];
ph["p19"]=[19, 14];
ph["p119"]=[144, 42, 126, 145];
ph["p118"]=[143, 97, 108, 65, 10];
ph["p21"]=[19, 6];
ph["p20"]=[19, 23];
ph["p23"]=[25];
ph["p102"]=[130, 131, 129];
ph["p22"]=[19, 15, 24];
ph["p101"]=[107, 65, 130, 131, 129];
ph["p25"]=[26, 21];
ph["p100"]=[127, 128, 129];
ph["p24"]=[26, 20];
ph["p27"]=[26, 10];
ph["p106"]=[108, 78, 132, 65, 10];
ph["p26"]=[26, 22];
ph["p105"]=[108, 44];
ph["p29"]=[26, 13];
ph["p104"]=[108, 65, 8, 14];
ph["p28"]=[26, 11, 12];
ph["p103"]=[107, 65, 8];
ph["p109"]=[14, 133, 134, 135];
ph["p108"]=[108, 65, 14];
ph["p107"]=[108, 65, 11, 12];
ph["p0"]=[0, 1, 2, 3, 4];
ph["p1"]=[0];
ph["p2"]=[5, 6];
ph["p3"]=[7, 6];
ph["p4"]=[8, 6];
ph["p5"]=[9, 10];
ph["p6"]=[9, 11, 12];
ph["p7"]=[9, 13];
ph["p8"]=[9, 14];
ph["p9"]=[9, 6];
ph["p30"]=[26, 14];
ph["p142"]=[165, 110];
ph["p141"]=[162, 78, 163, 164];
ph["p32"]=[26, 6];
ph["p140"]=[162, 107, 125];
ph["p31"]=[26, 23];
ph["p34"]=[27];
ph["p135"]=[108, 113, 29, 6];
ph["p33"]=[26, 15, 24];
ph["p134"]=[158, 126, 124, 159];
ph["p36"]=[29, 30];
ph["p133"]=[124, 110];
ph["p35"]=[28];
ph["p132"]=[107, 113, 10, 157];
ph["p38"]=[29, 32, 24];
ph["p139"]=[147];
ph["p37"]=[29, 31];
ph["p138"]=[107, 11, 87];
ph["p137"]=[107, 160, 161];
ph["p39"]=[17, 33, 34];
ph["p136"]=[108, 113, 154, 6];
ph["p41"]=[17, 36];
ph["p131"]=[148, 142, 132, 42, 151, 65, 35, 6, 138];
ph["p40"]=[35, 6];
ph["p130"]=[148, 80, 42, 151, 65, 14];
ph["p43"]=[38];
ph["p42"]=[37];
ph["p45"]=[40];
ph["p124"]=[148, 150, 42, 151, 65, 14];
ph["p44"]=[39];
ph["p123"]=[148, 78, 132, 42];
ph["p47"]=[17, 42, 43];
ph["p122"]=[148, 42, 107, 53, 78, 65, 149, 66];
ph["p46"]=[41];
ph["p121"]=[147, 65, 7];
ph["p49"]=[17, 45, 46];
ph["p128"]=[148, 78, 132, 42, 151, 65, 155];
ph["p48"]=[44];
ph["p127"]=[148, 78, 132, 42, 151, 65, 154];
ph["p126"]=[148, 78, 132, 42, 151, 65, 29];
ph["p125"]=[107, 152, 153];
ph["p129"]=[148, 156, 42, 151, 65, 14];
     return {
         keywords: keywords,
         ph: ph
     }
});
